Skip to main content
POST
/
video-generation
wan2.6
curl --request POST \
  --url https://api.linkai.one/api/v1/video-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "wan2.6",
  "prompt": "<string>",
  "audio_url": "<string>",
  "duration": 5,
  "first_frame_image": "<string>",
  "resolution": "720P"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

model is required

Available options:
wan2.6
prompt
string
required

prompt must be between 1 and 2000 characters

Required string length: 1 - 2000
audio_url
string

audio_url must be valid http/https url

duration
enum<integer>

duration must be 5 or 10 or 15 seconds

Available options:
5,
10,
15
first_frame_image
string

first_frame_image is required

resolution
enum<string>

resolution must be 720P or 1080p

Available options:
720P,
1080P

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"